Bug 1852373 - CVE-2020-14312 dnsmasq: insecure default configuration makes it an open resolver [fedora-all]
Summary: CVE-2020-14312 dnsmasq: insecure default configuration makes it an open resol...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnsmasq
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-14312
TreeView+ depends on / blocked
 
Reported: 2020-06-30 09:53 UTC by Riccardo Schirone
Modified: 2020-07-21 01:02 UTC (History)
9 users (show)

Fixed In Version: dnsmasq-2.80-16.fc31 dnsmasq-2.81-4.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-16 01:24:09 UTC
Type: ---


Attachments (Terms of Use)

Description Riccardo Schirone 2020-06-30 09:53:40 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Riccardo Schirone 2020-06-30 09:53:45 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1851342,1852373

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-06-30 19:27:49 UTC
FEDORA-2020-eca8f3489f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-eca8f3489f

Comment 3 Fedora Update System 2020-06-30 19:28:40 UTC
FEDORA-2020-329859eff4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-329859eff4

Comment 4 Petr Menšík 2020-06-30 19:33:11 UTC
I have chosen to listen only on localhost, similar to default configuration on bind and unbound servers. When dnsmasq is just installed and started, it would not longer accept any queries from remote machines.

Good variant is local-service, which would allow only machines connected to the same local network as the host. Otherwise interface=<netiface> option should be used, with lan interface specified.

Comment 5 Fedora Update System 2020-07-01 02:10:12 UTC
FEDORA-2020-329859eff4 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-329859eff4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-329859eff4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-07-01 02:19:33 UTC
FEDORA-2020-eca8f3489f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-eca8f3489f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-eca8f3489f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-07-16 01:24:09 UTC
FEDORA-2020-329859eff4 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-07-21 01:02:55 UTC
FEDORA-2020-eca8f3489f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.